# signature { license=0, seed=277031123, key="18c29d8792876e541e52e961ac324f94" }
cgi.print([[]],cgi.head,[[
<title>InOAuth ]],i18n("Log File"),[[</title>
]]);
local log =''
local function readlog( name)
	local logfile = io.open( name )
	if logfile then
		log = log..logfile:read( '*a' )
		logfile:close()
	end
end
readlog( 'logfile.old' )
readlog( 'logfile.txt' )
 cgi.print([[
</head>
<body>
]],cgi.h1,[[
<div class="body">
	<h2>
		]],cgi.button{ title=i18n("return to main page"), href='oauth.cgi?cmd=cfghome', img='home.png', i18n("Back") } ,[[
		]],i18n("Application Log") ,[[
	</h2>
	<br style="clear:both;" />
	<pre>]],log,[[</pre>
</div>
</body>
</html>

]])
